package com.goafanti.common.dao;

import com.goafanti.common.model.TTaskMid;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

public interface TTaskMidMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TTaskMid record);

    int insertSelective(TTaskMid record);

    TTaskMid selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TTaskMid record);

    int updateByPrimaryKey(TTaskMid record);

    int updateCostAmount(@Param("tid")Integer tid, @Param("count") BigDecimal costAmount,@Param("party") BigDecimal party);

    int updatePaymentAmount(@Param("tid")Integer tid, @Param("paymentAmount")BigDecimal paymentAmount, @Param("type")Integer type);

    void updateCertificatesCountByTid(@Param("tid")Integer tid, @Param("count")Integer count);



    void updateByTid(TTaskMid tm);

    TTaskMid selectCountBytid(@Param("tid")Integer tid, @Param("type")Integer type);

    TTaskMid getDtails(Integer id);
}
